/*******************************************************************************
 * Copyright(c) 2022 dongke All rights reserved. / Confidential
 * 类的信息：
 *		1.程序名称：
 *		2.功能描述：dkText组件
 * 编辑履历：
 *		作者				日期					版本				修改内容
 *		admin		  	2021-7-7  		1.00		   	  新建
 *******************************************************************************/
const util = require('../../../utils/util.js')
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    /**
     * 输入的数据
     */
		value: {
			type: String,
      value: '',
      observer: function (newVal) {
        // 处理数据
        this.handleData(newVal);
      }
    },
    /**
     * 跟前一个控件是否又间距
     */
    margin:{
      type: Boolean,
      value: false,
    },
    /**
     * 颜色
     */
    color:{
      type:String,
      value:'#1B365D'
    },
    /**
     * 字体粗细
     */
    fontWeight:{
      type:String,
      value:'bold'
    },
   /**
     * 字体大小（默认12px）
     */
    fontSize:{
      type:String,
      value:'12px'
    },
    /**
     * 样式名
     */
    style:{
      type: String,
      value: 'inputStyle',
    },
    /**
     * 下划线
     */
    textDecoration:{
      type:String,
      value:''
    },
    /**
     * 需要进行复制的内容
     */
    copyValue:{
      type:String,
      value: ''
    },
    /**
     * 是否进行重新布局
     */
    layoutFlag:{
      type:Boolean,
      value:false
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    displayValue:'',
    valueArray:[],
  },

  /**
   * 组件的方法列表
   */
  methods: {
    handleData(val){
      let inputValue = ''
      let valueArray = []
      // 对内容进行处理
      if(val == undefined || val == null ){
        inputValue = '';
      }else{
        inputValue = val;
        valueArray = val.split('')
      }
      this.setData({
        displayValue:inputValue,
        valueArray:valueArray
      })
    },
    /**
    * @desc : 复制
    * @author : 周兴
    * @date : 2022/7/29 12:16
    */
    toCopy(e) {
      // 外露事件
      this.triggerEvent('tap',e)
      if(!this.data.copyValue)return;
      util.toCopy(this.data.copyValue, this.data.value);
    },
  },
  /**
  * 组件生命周期
  */
  lifetimes: {
    attached: function () {
    },
    detached: function () {
      // 在组件实例被从页面节点树移除时执行
    },
  },
})
